메인 콘텐츠로 건너뛰기

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

POST /discovery

웹사이트 URL 발견 작업을 시작합니다. 진행 상황 추적과 발견된 URL 조회를 위해 discoveryId가 반환됩니다.

요청 본문

url
string
필수
발견할 웹사이트 URL입니다. http/https 프로토콜이 있는 유효한 URL이어야 합니다.
maxUrls
number
기본값:"50"
발견할 최대 URL 수입니다. 범위: 1–1000.
discoveryType
string
기본값:"full"
발견 방법:
  • full: 사이트맵 분석과 크롤을 결합한 포괄적 발견
  • sitemap: sitemap.xml만 파싱
  • crawl: 링크를 따라 페이지만 크롤

응답

id
string
발견 작업 고유 식별자입니다.
url
string
발견 대상 URL입니다.
status
string
작업 상태: started, processing, completed, 또는 failed입니다.
discoveryType
string
사용 중인 발견 방식입니다.
maxUrls
number
발견할 최대 URL 수입니다.
progress
string
진행률(퍼센트)입니다.
totalUrlsFound
number
지금까지 발견된 URL 수입니다.
createdAt
string
작업 생성 시각(ISO 8601)입니다.
estimatedCompletion
string
예상 완료 시각입니다.
curl -X POST https://api.llmgenerator.com/api/v1/discovery \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
        "url": "https://www.example.com",
        "maxUrls": 100,
        "discoveryType": "full"
      }'
{
  "id": "disc_1706540000_abc123xyz",
  "url": "https://www.example.com",
  "status": "started",
  "discoveryType": "full",
  "maxUrls": 100,
  "progress": "0",
  "totalUrlsFound": 0,
  "createdAt": "2026-01-29T12:00:00.000Z",
  "estimatedCompletion": "2026-01-29T12:05:00.000Z"
}